VE table columns editing is destroyed in RTL
Closed, ResolvedPublic1 Story Points

Description

Hi. When editing tables in VE, RTL only, many browsers, the right location for column top sections is destroyed.
For example,


choosing with the mouse the second from the left column, shows the column "arrow" in the middle of the sidebar. The rows are OK.
It wasn't like this before, for sure.

IKhitron created this task.Sep 8 2017, 8:19 PM
Restricted Application added a project: I18n. · View Herald TranscriptSep 8 2017, 8:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Deskana triaged this task as High priority.Sep 11 2017, 11:33 AM
Deskana moved this task from To Triage to TR0: Interrupt on the VisualEditor board.

...huh. I'll take a look.

Change 377482 had a related patch set uploaded (by DLynch; owner: DLynch):
[VisualEditor/VisualEditor@master] ui.TableLineContext: adjust positioning

https://gerrit.wikimedia.org/r/377482

Change 377482 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ui.TableLineContext: adjust positioning

https://gerrit.wikimedia.org/r/377482

Change 376899 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (f88cd00a6)

https://gerrit.wikimedia.org/r/376899

Change 376899 merged by Jforrester:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (f88cd00a6)

https://gerrit.wikimedia.org/r/376899

Deskana assigned this task to DLynch.Sep 12 2017, 6:25 PM
Deskana closed this task as Resolved.
Deskana set the point value for this task to 1.
Deskana added a subscriber: Deskana.

Now I am become @DLynch, the un-destroyer of table editing.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptSep 12 2017, 6:25 PM